Subject: Is column.ui.* configuration a bit too strong?

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Jun 2014 12:03:11 -0700

Since its inception at 7e29b825 (Add column layout skeleton and
git-column, 2012-04-21), it seems that git_column_config() asked for
a specific $command did not give "column.$command.*" any precedence
over the fallback value defined for "column.ui.*".  If you happen to
have column.ui.* earlier than the corresponding column.$command.* in
your configuration, then the values come from column.ui.* may be
overwritten, but the code does not seem to enforce "if there is a
setting for a specific command, honor that, otherwise fall back to
the generic 'ui' setting".

Am I misreading the code?